Subject: RE: MPLS PID

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 02 Apr 2003 13:14:47 -0500

>Curtis:
>
> > I never knew that MPLS architecture was a religion.  I always
> > thought MPLS was deployed and because it solved real world
> > practical problems.
>
>The above seems to be orthogonal to the discussion at hand :-(
>
> >
> > Requiring the martinni control word would seem like a no
> > brainer. However maybe we don't buy into that for some
> > **technical** reason, perhaps overhead on the control word in
> > the edge of the network makes a difference.  If so, then the
> > control word must be added along the way if the traffic type is known.
>
>My comment was more along the lines that if we accept ECMP as defacto, 
>then we have
>more to do than simply making sure PWs do not occasionally re-order. IMHO 
>it may solve
>some problems but would still be a major obstacle to solving others.

         I think that trying to mandate through standards how
ECMP should work and predicating that PWE3 only
working based on that is going to be a bigger obstacle than
you might think.

         --Tom

> > The only truly deterministic way to know the traffic type is
> > if L3PID tells you.
>
>Yes, but as you note, that information is on a need to know basis and you 
>still end up inserting a dummy control word for those folks in the core 
>that will not be privy to this information. The core still expects stuff 
>to self identify.
>
>BTW I presume you're exclusively discussing TE L3PID?
>
>cheers
>Dave

http://www.elsevier-international.com/catalogue/title.cfm?ISBN=155860751X